Package be.fgov.ehealth.etee.kgss._1_0.protocol

# Class GetKeyRequestContent

java.lang.Object
be.fgov.ehealth.etee.kgss._1_0.protocol.GetKeyRequestContent

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:10:04+02:00", comments="JAXB RI v4.0.5") public class GetKeyRequestContent extends Object implements Serializable

Java class for anonymous complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="KeyIdentifier" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
             <choice>
               <element name="ETK" type="{http://www.w3.org/2001/XMLSchema}base64Binary" minOccurs="0"/>
               <sequence minOccurs="0">
                 <element name="KeyEncryptionKey" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
                 <element name="KeyEncryptionKeyIdentifier" type="{http://www.w3.org/2001/XMLSchema}base64Binary" minOccurs="0"/>
               </sequence>
             </choice>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetKeyRequestContent()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `byte[]`
  `getETK()`
  The ETK serving to encrypt the response.
  `byte[]`
  `getKeyEncryptionKey()`
  The key serving to encrypt the response.
  `byte[]`
  `getKeyEncryptionKeyIdentifier()`
  Reference from the callers system supplying the KeyEncryptionKey.
  `byte[]`
  `getKeyIdentifier()`
  Reference to the key stored in the KGSS.
  `void`
  `setETK(byte[] value)`
  Sets the value of the etk property.
  `void`
  `setKeyEncryptionKey(byte[] value)`
  Sets the value of the keyEncryptionKey property.
  `void`
  `setKeyEncryptionKeyIdentifier(byte[] value)`
  Sets the value of the keyEncryptionKeyIdentifier property.
  `void`
  `setKeyIdentifier(byte[] value)`
  Sets the value of the keyIdentifier property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GetKeyRequestContent

    public GetKeyRequestContent()

- ## Method Details

  - ### getKeyIdentifier

    public byte[] getKeyIdentifier()
    Reference to the key stored in the KGSS.
    Returns:
      possible object is byte[]

  - ### setKeyIdentifier

    public void setKeyIdentifier(byte[] value)
    Sets the value of the keyIdentifier property.
    Parameters:
      `value` - allowed object is byte[]
    See Also:
      - `getKeyIdentifier()`

  - ### getKeyEncryptionKey

    public byte[] getKeyEncryptionKey()
    The key serving to encrypt the response.
    Returns:
      possible object is byte[]

  - ### setKeyEncryptionKey

    public void setKeyEncryptionKey(byte[] value)
    Sets the value of the keyEncryptionKey property.
    Parameters:
      `value` - allowed object is byte[]
    See Also:
      - `getKeyEncryptionKey()`

  - ### getKeyEncryptionKeyIdentifier

    public byte[] getKeyEncryptionKeyIdentifier()
    Reference from the callers system supplying the KeyEncryptionKey.
    Returns:
      possible object is byte[]

  - ### setKeyEncryptionKeyIdentifier

    public void setKeyEncryptionKeyIdentifier(byte[] value)
    Sets the value of the keyEncryptionKeyIdentifier property.
    Parameters:
      `value` - allowed object is byte[]
    See Also:
      - `getKeyEncryptionKeyIdentifier()`

  - ### getETK

    public byte[] getETK()
    The ETK serving to encrypt the response.
    Returns:
      possible object is byte[]

  - ### setETK

    public void setETK(byte[] value)
    Sets the value of the etk property.
    Parameters:
      `value` - allowed object is byte[]
    See Also:
      - `getETK()`